/**
 * Copyright (c) 2010 CA. All rights reserved.
 * 
 * This software and all information contained therein is confidential and proprietary and shall not be duplicated, used, disclosed or
 * disseminated in any way without the express written permission of CA. All authorized reproductions must be marked with this language.
 * 
 * TO THE EXTENT PERMITTED BY APPLICABLE LAW, CA PROVIDES THIS SOFTWARE AS IS WITHOUT WARRANTY OF ANY KIND, INCLUDING WITHOUT LIMITATION,
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NONINFRINGEMENT. IN NO EVENT WILL CA BE LIABLE TO THE END
 * USER OR ANY THIRD PARTY FOR ANY LOSS OR DAMAGE, DIRECT OR INDIRECT, FROM THE USE OF THIS MATERIAL, INCLUDING WITHOUT LIMITATION, LOST
 * PROFITS, BUSINESS INTERRUPTION, GOODWILL, OR LOST DATA, EVEN IF CA IS EXPRESSLY ADVISED OF SUCH LOSS OR DAMAGE.
 */

package com.wily.apm.model.sample;



import com.wily.apm.model.webservices.IBusSvcService;
import com.wily.apm.model.webservices.client.manager.ApmClient;
import com.wily.apm.model.webservices.common.DBusinessSvcSnapshot;

/**
 * 
 * This class is a sample implementation of the APM Model Web services
 * 
 * 
 * @author sensu01
 */


public class TestApmModelImpl
{
	
	/**
	 * 
	 */
	public TestApmModelImpl()
	{
		
	}
	
	
	/** 
	 *
	 * @param apmClient
	 * @throws Exception
	 */
	public void setupForClient(ApmClient apmClient) throws Exception {

		IBusSvcService service = apmClient.getBusSvcServicePollingWS();
		
		printMsg("Service received: "+ service);
				
		// Obtain list of Business Services
		 DBusinessSvcSnapshot[] data = service.getAllBusinessServices();
		
	
		if (data != null) {
			printMsg(" >>> Business Service Data Size <<< " + data.length);
			for (int i=0; i<data.length; i++) {
				printMsg(" >>> Business Service :" + i + "  <<< " + data[i].getBusSvcName());
			
			}
		} else {
		
			printMsg(" >>> No Business Services Returned <<< ");
		}
		
		
		//Obtain list of all Business Services by Owner Id
	    DBusinessSvcSnapshot[] data1 = service.getAllBusinessServicesByOwnerId(30);
		
			
		if (data1 != null) {
			printMsg("");
			printMsg(" >>> Business Service By Owner Data Size <<< " + data1.length);
			for (int i=0; i<data1.length; i++) {
				printMsg(" >>> Business Service Name:" + i + "  <<< " + data1[i].getBusSvcName());
				printMsg(" >>> Business Service Id:" + i + "  <<< " + data1[i].getBusSvcId());
				}
		} else {
		
			printMsg(" >>> No Business Service Data Returned <<< ");
		}
		
		
					
		
	}

	
	public static void main(String args[]) throws Exception
	{
	
				
		 // Configure APM specific connection properties
        String emHost = args[0];
       
        int emWebServerPort =  Integer.parseInt(args[1]); // usually 8081

        String  emConnUser = args[2];
        String emConnPswd = "";

        String emWebServerProtocol = args[3];;

        
        ApmClient apmClient = new ApmClient(emHost, emWebServerPort, emConnUser, emConnPswd, emWebServerProtocol);
      
        TestApmModelImpl sampleClient = new TestApmModelImpl();
		
		sampleClient.setupForClient(apmClient);
	
	}
	
	/**
	 * Prints system outputs 
	 * @param msg
	 */
	private void printMsg(String msg) {
		System.out.println("TEST AGENT SERVICE : " + msg);
	}
	
}

