/* ---------------------------------------------------------------------- */
/*               Proprietary and Confidential Information                 */
/*                                                                        */
/* This material contains, and is part of a computer software program     */
/* which is, proprietary and confidential information owned by  		  */
/* CA, INC.  The program, including this material, 						  */
/* may not be duplicated, disclosed or reproduced in whole or in part for */
/* any purpose without the express written authorization of CA INC.       */
/* All authorized reproductions must be marked with this      			  */
/* legend.                                                                */
/*                                                                        */
/*                             Copyright 2010                             */
/*                   				CA, Inc.             				  */
/*                           All rights reserved                          */
/*                                                                        */
/* ---------------------------------------------------------------------- */


package com.wily.apm.model.webservices.common;

import java.util.Date;

/**
 * Holds response from web service operations that request sets of CEM incidents.
 * 
 * @author macdu01
 *
 */
public class DIncidentsResponse {
	private DIncidentSnapshot[] incidents;
	private Date dt;

	/**
	 * Get the incidents in this response.
	 * @return the incidents in this response.
	 */
	public DIncidentSnapshot[] getIncidents() {
		return incidents;
	}

	/**
	 * Set the incidents in this response.
	 * @param incidents in this response.
	 */
	public void setIncidents(DIncidentSnapshot[] incidents) {
		this.incidents = incidents;
	}

	/*
	 * Get date and time according to EM clock that this response was valid.
	 * @return the date and time according to EM clock that this response was valid.
	 */
	public Date getDt() {
		return dt;
	}

	/*
	 * Set date and time according to EM clock that this response was valid.
	 * @param dt
	 * 			the date and time according to EM clock that this response was valid.
	 */
	public void setDt(Date dt) {
		this.dt = dt;
	}
}
